
scr48	= %00111111	;screen 48b
scr40	= %00111110	;screen 40b
scr32	= %00111101	;screen 32b

regA	= $80
regX	= regA+1
regY	= regX+1
temp	= regY+1

pmg	= $c000

hposp0	= $D000
hposp1	= $D001
hposp2	= $D002
hposp3	= $D003
hposm0	= $D004
hposm1	= $D005
hposm2	= $D006
hposm3	= $D007
sizep0	= $D008
sizep1	= $D009
sizep2	= $D00A
sizep3	= $D00B
sizem	= $D00C
colpm0	= $D012
colpm1	= $D013
colpm2	= $D014
colpm3	= $D015
color0	= $D016
color1	= $D017
color2	= $D018
color3	= $D019
colbak	= $D01A
gtictl	= $D01B
chbase	= $D409
vscrol	= $d405

width	= 40
height	= 22

ile	= 90-height

rows	= 90*width>$1000

*---

	org $2000

screen
	ift rows
	ins "pinball.row"
	els
	ins "pinball.scr"
	eif

	.ALIGN	$100
ant	:(30-height-1)/2 dta $70
	dta $f0
scr
	ift rows
	:height dta $62,a(screen+#*width)
	els
	dta $62,a(screen)
	:height-2 dta $22
	dta $02
	eif

	dta $41,a(ant)

gfxmode	ins "pinball.gfx"

	.ALIGN	$400
fnt	ins "pinball.fnt"

	.get "pinball.tab"

	ert *>$BFFF,"no ram"

*---

main
	mva	>pmg	$d407
	mva	#3	$d01d

	lda:cmp:req 20		;wait 1 frame

	sei			;stop interrups
	mva	#0	$d40e	;stop all interrupts
	mva	#$fe	$d301	;switch off ROM to get 16k more ram

	INIT:UPDATE
	ldy	#0
	jsr	CREATE._nxt

	mwa	#nmi	$fffa	;new NMI handler

	mva	#$c0	$d40e	;switch on NMI+DLI again

	ift ile=0
	jmp *
	els
	jmp prg
	eif

*---

nmi	bit	$d40f
	bpl	vbl

	sta	regA
	stx	regX
	sty	regY

dliv	jmp d0

nmiQ	lda	regA
	ldx	regX
	ldy	regY
	rti

vbl	phr
	sta	$d40f
	inc	20

	mwa	#ant	$d402
	mva	#scr40	$d400

ffnt	mva	>fnt	$d409

ivbl	jsr	v0

ldli	mva	<d0	dliv+1
hdli	mva	>d0	dliv+2

	plr:rti

*---

d0
 sta $d40a	;0
d1
 sta $d40a	;1
d2
 sta $d40a	;2
d3
 sta $d40a	;3
d4
 sta $d40a	;4
d5
 sta $d40a	;5
d6
 sta $d40a	;6
d7
 sta $d40a	;7
d8
 sta $d40a	;8
d9
 sta $d40a	;9
d10
 sta $d40a	;10
d11
 sta $d40a	;11
d12
 sta $d40a	;12
d13
 sta $d40a	;13
d14
 sta $d40a	;14
d15
 sta $d40a	;15
d16
 sta $d40a	;16
d17
 sta $d40a	;17
d18
 sta $d40a	;18
d19
 sta $d40a	;19
d20
 sta $d40a	;20
d21
 sta $d40a	;21
d22
 sta $d40a	;22
d23
 sta $d40a	;23
d24
 sta $d40a	;24
d25
 sta $d40a	;25
d26
 sta $d40a	;26
d27
 sta $d40a	;27
d28
 sta $d40a	;28
d29
 sta $d40a	;29
d30
 sta $d40a	;30
d31
 sta $d40a	;31
d32
 sta $d40a	;32
d33
 sta $d40a	;33
d34
 sta $d40a	;34
d35
 sta $d40a	;35
d36
 sta $d40a	;36
d37
 sta $d40a	;37
d38
 sta $d40a	;38
d39
 sta $d40a	;39
d40
 lda >fnt+.get[40/8]*$400
 sta $d40a	;40
 sta chbase
d41
 sta $d40a	;41
d42
 sta $d40a	;42
d43
 sta $d40a	;43
d44
 sta $d40a	;44
d45
 sta $d40a	;45
d46
 sta $d40a	;46
d47
 sta $d40a	;47
d48
 sta $d40a	;48
d49
 sta $d40a	;49
d50
 sta $d40a	;50
d51
 sta $d40a	;51
d52
 sta $d40a	;52
d53
 sta $d40a	;53
d54
 sta $d40a	;54
d55
 sta $d40a	;55
d56
 sta $d40a	;56
d57
 sta $d40a	;57
d58
 sta $d40a	;58
d59
 sta $d40a	;59
d60
 sta $d40a	;60
d61
 sta $d40a	;61
d62
 sta $d40a	;62
d63
 sta $d40a	;63
d64
 sta $d40a	;64
d65
 sta $d40a	;65
d66
 sta $d40a	;66
d67
 sta $d40a	;67
d68
 sta $d40a	;68
d69
 sta $d40a	;69
d70
 sta $d40a	;70
d71
 sta $d40a	;71
d72
 lda >fnt+.get[72/8]*$400
 sta $d40a	;72
 sta chbase
d73
 sta $d40a	;73
d74
 sta $d40a	;74
d75
 sta $d40a	;75
d76
 sta $d40a	;76
d77
 sta $d40a	;77
d78
 sta $d40a	;78
d79
 sta $d40a	;79
d80
 sta $d40a	;80
d81
 sta $d40a	;81
d82
 sta $d40a	;82
d83
 sta $d40a	;83
d84
 sta $d40a	;84
d85
 sta $d40a	;85
d86
 sta $d40a	;86
d87
 sta $d40a	;87
d88
 sta $d40a	;88
d89
 sta $d40a	;89
d90
 sta $d40a	;90
d91
 sta $d40a	;91
d92
 sta $d40a	;92
d93
 sta $d40a	;93
d94
 sta $d40a	;94
d95
 sta $d40a	;95
d96
 sta $d40a	;96
d97
 sta $d40a	;97
d98
 sta $d40a	;98
d99
 sta $d40a	;99
d100
 sta $d40a	;100
d101
 sta $d40a	;101
d102
 sta $d40a	;102
d103
 sta $d40a	;103
d104
 sta $d40a	;104
d105
 sta $d40a	;105
d106
 sta $d40a	;106
d107
 sta $d40a	;107
d108
 sta $d40a	;108
d109
 sta $d40a	;109
d110
 sta $d40a	;110
d111
 sta $d40a	;111
d112
 lda >fnt+.get[112/8]*$400
 sta $d40a	;112
 sta chbase
d113
 sta $d40a	;113
d114
 sta $d40a	;114
d115
 sta $d40a	;115
d116
 sta $d40a	;116
d117
 sta $d40a	;117
d118
 sta $d40a	;118
d119
 sta $d40a	;119
d120
 sta $d40a	;120
d121
 sta $d40a	;121
d122
 sta $d40a	;122
d123
 sta $d40a	;123
d124
 sta $d40a	;124
d125
 sta $d40a	;125
d126
 sta $d40a	;126
d127
 sta $d40a	;127
d128
 sta $d40a	;128
d129
 sta $d40a	;129
d130
 sta $d40a	;130
d131
 sta $d40a	;131
d132
 sta $d40a	;132
d133
 sta $d40a	;133
d134
 sta $d40a	;134
d135
 sta $d40a	;135
d136
 sta $d40a	;136
d137
 sta $d40a	;137
d138
 sta $d40a	;138
d139
 sta $d40a	;139
d140
 sta $d40a	;140
d141
 sta $d40a	;141
d142
 sta $d40a	;142
d143
 sta $d40a	;143
d144
 lda >fnt+.get[144/8]*$400
 sta $d40a	;144
 sta chbase
d145
 sta $d40a	;145
d146
 sta $d40a	;146
d147
 sta $d40a	;147
d148
 sta $d40a	;148
d149
 sta $d40a	;149
d150
 sta $d40a	;150
d151
 sta $d40a	;151
d152
 sta $d40a	;152
d153
 sta $d40a	;153
d154
 sta $d40a	;154
d155
 sta $d40a	;155
d156
 sta $d40a	;156
d157
 sta $d40a	;157
d158
 sta $d40a	;158
d159
 sta $d40a	;159
d160
 sta $d40a	;160
d161
 sta $d40a	;161
d162
 sta $d40a	;162
d163
 sta $d40a	;163
d164
 sta $d40a	;164
d165
 sta $d40a	;165
d166
 sta $d40a	;166
d167
 sta $d40a	;167
d168
 sta $d40a	;168
d169
 sta $d40a	;169
d170
 sta $d40a	;170
d171
 sta $d40a	;171
d172
 sta $d40a	;172
d173
 sta $d40a	;173
d174
 sta $d40a	;174
d175
 sta $d40a	;175
d176
 lda >fnt+.get[176/8]*$400
 sta $d40a	;176
 sta chbase
d177
 sta $d40a	;177
d178
 sta $d40a	;178
d179
 sta $d40a	;179
d180
 sta $d40a	;180
d181
 sta $d40a	;181
d182
 sta $d40a	;182
d183
 sta $d40a	;183
d184
 sta $d40a	;184
d185
 sta $d40a	;185
d186
 sta $d40a	;186
d187
 sta $d40a	;187
d188
 sta $d40a	;188
d189
 sta $d40a	;189
d190
 sta $d40a	;190
d191
 sta $d40a	;191
d192
 sta $d40a	;192
d193
 sta $d40a	;193
d194
 sta $d40a	;194
d195
 sta $d40a	;195
d196
 sta $d40a	;196
d197
 sta $d40a	;197
d198
 sta $d40a	;198
d199
 sta $d40a	;199
d200
 sta $d40a	;200
d201
 sta $d40a	;201
d202
 sta $d40a	;202
d203
 sta $d40a	;203
d204
 sta $d40a	;204
d205
 sta $d40a	;205
d206
 sta $d40a	;206
d207
 sta $d40a	;207
d208
 sta $d40a	;208
d209
 sta $d40a	;209
d210
 sta $d40a	;210
d211
 sta $d40a	;211
d212
 sta $d40a	;212
d213
 sta $d40a	;213
d214
 sta $d40a	;214
d215
 sta $d40a	;215
d216
 lda >fnt+.get[216/8]*$400
 sta $d40a	;216
 sta chbase
d217
 sta $d40a	;217
d218
 sta $d40a	;218
d219
 sta $d40a	;219
d220
 sta $d40a	;220
d221
 sta $d40a	;221
d222
 sta $d40a	;222
d223
 sta $d40a	;223
d224
 sta $d40a	;224
d225
 sta $d40a	;225
d226
 sta $d40a	;226
d227
 sta $d40a	;227
d228
 sta $d40a	;228
d229
 sta $d40a	;229
d230
 sta $d40a	;230
d231
 sta $d40a	;231
d232
 sta $d40a	;232
d233
 sta $d40a	;233
d234
 sta $d40a	;234
d235
 sta $d40a	;235
d236
 sta $d40a	;236
d237
 sta $d40a	;237
d238
 sta $d40a	;238
d239
 sta $d40a	;239
d240
 sta $d40a	;240
d241
 sta $d40a	;241
d242
 sta $d40a	;242
d243
 sta $d40a	;243
d244
 sta $d40a	;244
d245
 sta $d40a	;245
d246
 sta $d40a	;246
d247
 sta $d40a	;247
d248
 sta $d40a	;248
d249
 sta $d40a	;249
d250
 sta $d40a	;250
d251
 sta $d40a	;251
d252
 sta $d40a	;252
d253
 sta $d40a	;253
d254
 sta $d40a	;254
d255
 sta $d40a	;255
d256
 lda >fnt+.get[256/8]*$400
 sta $d40a	;256
 sta chbase
d257
 sta $d40a	;257
d258
 sta $d40a	;258
d259
 sta $d40a	;259
d260
 sta $d40a	;260
d261
 sta $d40a	;261
d262
 sta $d40a	;262
d263
 sta $d40a	;263
d264
 sta $d40a	;264
d265
 sta $d40a	;265
d266
 sta $d40a	;266
d267
 sta $d40a	;267
d268
 sta $d40a	;268
d269
 sta $d40a	;269
d270
 sta $d40a	;270
d271
 sta $d40a	;271
d272
 sta $d40a	;272
d273
 sta $d40a	;273
d274
 sta $d40a	;274
d275
 sta $d40a	;275
d276
 sta $d40a	;276
d277
 sta $d40a	;277
d278
 sta $d40a	;278
d279
 sta $d40a	;279
d280
 sta $d40a	;280
d281
 sta $d40a	;281
d282
 sta $d40a	;282
d283
 sta $d40a	;283
d284
 sta $d40a	;284
d285
 sta $d40a	;285
d286
 sta $d40a	;286
d287
 sta $d40a	;287
d288
 lda >fnt+.get[288/8]*$400
 sta $d40a	;288
 sta chbase
d289
 sta $d40a	;289
d290
 sta $d40a	;290
d291
 sta $d40a	;291
d292
 sta $d40a	;292
d293
 sta $d40a	;293
d294
 sta $d40a	;294
d295
 sta $d40a	;295
d296
 sta $d40a	;296
d297
 sta $d40a	;297
d298
 sta $d40a	;298
d299
 sta $d40a	;299
d300
 sta $d40a	;300
d301
 sta $d40a	;301
d302
 sta $d40a	;302
d303
 sta $d40a	;303
d304
 sta $d40a	;304
d305
 sta $d40a	;305
d306
 sta $d40a	;306
d307
 sta $d40a	;307
d308
 sta $d40a	;308
d309
 sta $d40a	;309
d310
 sta $d40a	;310
d311
 sta $d40a	;311
d312
 sta $d40a	;312
d313
 sta $d40a	;313
d314
 sta $d40a	;314
d315
 sta $d40a	;315
d316
 sta $d40a	;316
d317
 sta $d40a	;317
d318
 sta $d40a	;318
d319
 sta $d40a	;319
d320
 lda >fnt+.get[320/8]*$400
 sta $d40a	;320
 sta chbase
d321
 sta $d40a	;321
d322
 sta $d40a	;322
d323
 sta $d40a	;323
d324
 sta $d40a	;324
d325
 sta $d40a	;325
d326
 sta $d40a	;326
d327
 sta $d40a	;327
d328
 sta $d40a	;328
d329
 sta $d40a	;329
d330
 sta $d40a	;330
d331
 sta $d40a	;331
d332
 sta $d40a	;332
d333
 sta $d40a	;333
d334
 sta $d40a	;334
d335
 sta $d40a	;335
d336
 sta $d40a	;336
d337
 sta $d40a	;337
d338
 sta $d40a	;338
d339
 sta $d40a	;339
d340
 sta $d40a	;340
d341
 sta $d40a	;341
d342
 sta $d40a	;342
d343
 sta $d40a	;343
d344
 sta $d40a	;344
d345
 sta $d40a	;345
d346
 sta $d40a	;346
d347
 sta $d40a	;347
d348
 sta $d40a	;348
d349
 sta $d40a	;349
d350
 sta $d40a	;350
d351
 sta $d40a	;351
d352
 sta $d40a	;352
d353
 sta $d40a	;353
d354
 sta $d40a	;354
d355
 sta $d40a	;355
d356
 sta $d40a	;356
d357
 sta $d40a	;357
d358
 sta $d40a	;358
d359
 sta $d40a	;359
d360
 lda >fnt+.get[360/8]*$400
 sta $d40a	;360
 sta chbase
d361
 sta $d40a	;361
d362
 sta $d40a	;362
d363
 sta $d40a	;363
d364
 sta $d40a	;364
d365
 sta $d40a	;365
d366
 sta $d40a	;366
d367
 sta $d40a	;367
d368
 sta $d40a	;368
d369
 sta $d40a	;369
d370
 sta $d40a	;370
d371
 sta $d40a	;371
d372
 sta $d40a	;372
d373
 sta $d40a	;373
d374
 sta $d40a	;374
d375
 sta $d40a	;375
d376
 sta $d40a	;376
d377
 sta $d40a	;377
d378
 sta $d40a	;378
d379
 sta $d40a	;379
d380
 sta $d40a	;380
d381
 sta $d40a	;381
d382
 sta $d40a	;382
d383
 sta $d40a	;383
d384
 sta $d40a	;384
d385
 sta $d40a	;385
d386
 sta $d40a	;386
d387
 sta $d40a	;387
d388
 sta $d40a	;388
d389
 sta $d40a	;389
d390
 sta $d40a	;390
d391
 sta $d40a	;391
d392
 lda >fnt+.get[392/8]*$400
 sta $d40a	;392
 sta chbase
d393
 sta $d40a	;393
d394
 sta $d40a	;394
d395
 sta $d40a	;395
d396
 sta $d40a	;396
d397
 sta $d40a	;397
d398
 sta $d40a	;398
d399
 sta $d40a	;399
d400
 sta $d40a	;400
d401
 sta $d40a	;401
d402
 sta $d40a	;402
d403
 sta $d40a	;403
d404
 sta $d40a	;404
d405
 sta $d40a	;405
d406
 sta $d40a	;406
d407
 sta $d40a	;407
d408
 sta $d40a	;408
d409
 sta $d40a	;409
d410
 sta $d40a	;410
d411
 sta $d40a	;411
d412
 sta $d40a	;412
d413
 sta $d40a	;413
d414
 sta $d40a	;414
d415
 sta $d40a	;415
d416
 sta $d40a	;416
d417
 sta $d40a	;417
d418
 sta $d40a	;418
d419
 sta $d40a	;419
d420
 sta $d40a	;420
d421
 sta $d40a	;421
d422
 sta $d40a	;422
d423
 sta $d40a	;423
d424
 lda >fnt+.get[424/8]*$400
 sta $d40a	;424
 sta chbase
d425
 sta $d40a	;425
d426
 sta $d40a	;426
d427
 sta $d40a	;427
d428
 sta $d40a	;428
d429
 sta $d40a	;429
d430
 sta $d40a	;430
d431
 sta $d40a	;431
d432
 sta $d40a	;432
d433
 sta $d40a	;433
d434
 sta $d40a	;434
d435
 sta $d40a	;435
d436
 sta $d40a	;436
d437
 sta $d40a	;437
d438
 sta $d40a	;438
d439
 sta $d40a	;439
d440
 sta $d40a	;440
d441
 sta $d40a	;441
d442
 sta $d40a	;442
d443
 sta $d40a	;443
d444
 sta $d40a	;444
d445
 sta $d40a	;445
d446
 sta $d40a	;446
d447
 sta $d40a	;447
d448
 sta $d40a	;448
d449
 sta $d40a	;449
d450
 sta $d40a	;450
d451
 sta $d40a	;451
d452
 sta $d40a	;452
d453
 sta $d40a	;453
d454
 sta $d40a	;454
d455
 sta $d40a	;455
d456
 sta $d40a	;456
d457
 sta $d40a	;457
d458
 sta $d40a	;458
d459
 sta $d40a	;459
d460
 sta $d40a	;460
d461
 sta $d40a	;461
d462
 sta $d40a	;462
d463
 sta $d40a	;463
d464
 lda >fnt+.get[464/8]*$400
 sta $d40a	;464
 sta chbase
d465
 sta $d40a	;465
d466
 sta $d40a	;466
d467
 sta $d40a	;467
d468
 sta $d40a	;468
d469
 sta $d40a	;469
d470
 sta $d40a	;470
d471
 sta $d40a	;471
d472
 sta $d40a	;472
d473
 sta $d40a	;473
d474
 sta $d40a	;474
d475
 sta $d40a	;475
d476
 sta $d40a	;476
d477
 sta $d40a	;477
d478
 sta $d40a	;478
d479
 sta $d40a	;479
d480
 sta $d40a	;480
d481
 sta $d40a	;481
d482
 sta $d40a	;482
d483
 sta $d40a	;483
d484
 sta $d40a	;484
d485
 sta $d40a	;485
d486
 sta $d40a	;486
d487
 sta $d40a	;487
d488
 lda >fnt+.get[488/8]*$400
 sta $d40a	;488
 sta chbase
d489
 sta $d40a	;489
d490
 sta $d40a	;490
d491
 sta $d40a	;491
d492
 sta $d40a	;492
d493
 sta $d40a	;493
d494
 sta $d40a	;494
d495
 sta $d40a	;495
d496
 sta $d40a	;496
d497
 sta $d40a	;497
d498
 sta $d40a	;498
d499
 sta $d40a	;499
d500
 sta $d40a	;500
d501
 sta $d40a	;501
d502
 sta $d40a	;502
d503
 sta $d40a	;503
d504
 sta $d40a	;504
d505
 sta $d40a	;505
d506
 sta $d40a	;506
d507
 sta $d40a	;507
d508
 sta $d40a	;508
d509
 sta $d40a	;509
d510
 sta $d40a	;510
d511
 sta $d40a	;511
d512
 lda >fnt+.get[512/8]*$400
 sta $d40a	;512
 sta chbase
d513
 sta $d40a	;513
d514
 sta $d40a	;514
d515
 sta $d40a	;515
d516
 sta $d40a	;516
d517
 sta $d40a	;517
d518
 sta $d40a	;518
d519
 sta $d40a	;519
d520
 sta $d40a	;520
d521
 sta $d40a	;521
d522
 sta $d40a	;522
d523
 sta $d40a	;523
d524
 sta $d40a	;524
d525
 sta $d40a	;525
d526
 sta $d40a	;526
d527
 sta $d40a	;527
d528
 sta $d40a	;528
d529
 sta $d40a	;529
d530
 sta $d40a	;530
d531
 sta $d40a	;531
d532
 sta $d40a	;532
d533
 sta $d40a	;533
d534
 sta $d40a	;534
d535
 sta $d40a	;535
d536
 sta $d40a	;536
d537
 sta $d40a	;537
d538
 sta $d40a	;538
d539
 sta $d40a	;539
d540
 sta $d40a	;540
d541
 sta $d40a	;541
d542
 sta $d40a	;542
d543
 sta $d40a	;543
d544
 sta $d40a	;544
d545
 sta $d40a	;545
d546
 sta $d40a	;546
d547
 sta $d40a	;547
d548
 sta $d40a	;548
d549
 sta $d40a	;549
d550
 sta $d40a	;550
d551
 sta $d40a	;551
d552
 sta $d40a	;552
d553
 sta $d40a	;553
d554
 sta $d40a	;554
d555
 sta $d40a	;555
d556
 sta $d40a	;556
d557
 sta $d40a	;557
d558
 sta $d40a	;558
d559
 sta $d40a	;559
d560
 sta $d40a	;560
d561
 sta $d40a	;561
d562
 sta $d40a	;562
d563
 sta $d40a	;563
d564
 sta $d40a	;564
d565
 sta $d40a	;565
d566
 sta $d40a	;566
d567
 sta $d40a	;567
d568
 sta $d40a	;568
d569
 sta $d40a	;569
d570
 sta $d40a	;570
d571
 sta $d40a	;571
d572
 sta $d40a	;572
d573
 sta $d40a	;573
d574
 sta $d40a	;574
d575
 sta $d40a	;575
d576
 sta $d40a	;576
d577
 sta $d40a	;577
d578
 sta $d40a	;578
d579
 sta $d40a	;579
d580
 sta $d40a	;580
d581
 sta $d40a	;581
d582
 sta $d40a	;582
d583
 sta $d40a	;583
d584
 sta $d40a	;584
d585
 sta $d40a	;585
d586
 sta $d40a	;586
d587
 sta $d40a	;587
d588
 sta $d40a	;588
d589
 sta $d40a	;589
d590
 sta $d40a	;590
d591
 sta $d40a	;591
d592
 sta $d40a	;592
d593
 sta $d40a	;593
d594
 sta $d40a	;594
d595
 sta $d40a	;595
d596
 sta $d40a	;596
d597
 sta $d40a	;597
d598
 sta $d40a	;598
d599
 sta $d40a	;599
d600
 sta $d40a	;600
d601
 sta $d40a	;601
d602
 sta $d40a	;602
d603
 sta $d40a	;603
d604
 sta $d40a	;604
d605
 sta $d40a	;605
d606
 sta $d40a	;606
d607
 sta $d40a	;607
d608
 sta $d40a	;608
d609
 sta $d40a	;609
d610
 sta $d40a	;610
d611
 sta $d40a	;611
d612
 sta $d40a	;612
d613
 sta $d40a	;613
d614
 sta $d40a	;614
d615
 sta $d40a	;615
d616
 sta $d40a	;616
d617
 sta $d40a	;617
d618
 sta $d40a	;618
d619
 sta $d40a	;619
d620
 sta $d40a	;620
d621
 sta $d40a	;621
d622
 sta $d40a	;622
d623
 sta $d40a	;623
d624
 sta $d40a	;624
d625
 sta $d40a	;625
d626
 sta $d40a	;626
d627
 sta $d40a	;627
d628
 sta $d40a	;628
d629
 sta $d40a	;629
d630
 sta $d40a	;630
d631
 sta $d40a	;631
d632
 sta $d40a	;632
d633
 sta $d40a	;633
d634
 sta $d40a	;634
d635
 sta $d40a	;635
d636
 sta $d40a	;636
d637
 sta $d40a	;637
d638
 sta $d40a	;638
d639
 sta $d40a	;639
d640
 sta $d40a	;640
d641
 sta $d40a	;641
d642
 sta $d40a	;642
d643
 sta $d40a	;643
d644
 sta $d40a	;644
d645
 sta $d40a	;645
d646
 sta $d40a	;646
d647
 sta $d40a	;647
d648
 sta $d40a	;648
d649
 sta $d40a	;649
d650
 sta $d40a	;650
d651
 sta $d40a	;651
d652
 sta $d40a	;652
d653
 sta $d40a	;653
d654
 sta $d40a	;654
d655
 sta $d40a	;655
d656
 sta $d40a	;656
d657
 sta $d40a	;657
d658
 sta $d40a	;658
d659
 sta $d40a	;659
d660
 sta $d40a	;660
d661
 sta $d40a	;661
d662
 sta $d40a	;662
d663
 sta $d40a	;663
d664
 sta $d40a	;664
d665
 sta $d40a	;665
d666
 sta $d40a	;666
d667
 sta $d40a	;667
d668
 sta $d40a	;668
d669
 sta $d40a	;669
d670
 sta $d40a	;670
d671
 sta $d40a	;671
d672
 sta $d40a	;672
d673
 sta $d40a	;673
d674
 sta $d40a	;674
d675
 sta $d40a	;675
d676
 sta $d40a	;676
d677
 sta $d40a	;677
d678
 sta $d40a	;678
d679
 sta $d40a	;679
d680
 sta $d40a	;680
d681
 sta $d40a	;681
d682
 sta $d40a	;682
d683
 sta $d40a	;683
d684
 sta $d40a	;684
d685
 sta $d40a	;685
d686
 sta $d40a	;686
d687
 sta $d40a	;687
d688
 sta $d40a	;688
d689
 sta $d40a	;689
d690
 sta $d40a	;690
d691
 sta $d40a	;691
d692
 sta $d40a	;692
d693
 sta $d40a	;693
d694
 sta $d40a	;694
d695
 sta $d40a	;695
d696
 sta $d40a	;696
d697
 sta $d40a	;697
d698
 sta $d40a	;698
d699
 sta $d40a	;699
d700
 sta $d40a	;700
d701
 sta $d40a	;701
d702
 sta $d40a	;702
d703
 sta $d40a	;703
d704
 sta $d40a	;704
d705
 sta $d40a	;705
d706
 sta $d40a	;706
d707
 sta $d40a	;707
d708
 sta $d40a	;708
d709
 sta $d40a	;709
d710
 sta $d40a	;710
d711
 sta $d40a	;711
d712
 sta $d40a	;712
d713
 sta $d40a	;713
d714
 sta $d40a	;714
d715
 sta $d40a	;715
d716
 sta $d40a	;716
d717
 sta $d40a	;717
d718
 sta $d40a	;718
d719
 sta $d40a	;719
d720
 sta $d40a	;720
d721
 jmp nmiQ

l_dli	dta l(d0,d1,d2,d3,d4,d5,d6,d7)
	dta l(d8,d9,d10,d11,d12,d13,d14,d15)
	dta l(d16,d17,d18,d19,d20,d21,d22,d23)
	dta l(d24,d25,d26,d27,d28,d29,d30,d31)
	dta l(d32,d33,d34,d35,d36,d37,d38,d39)
	dta l(d40,d41,d42,d43,d44,d45,d46,d47)
	dta l(d48,d49,d50,d51,d52,d53,d54,d55)
	dta l(d56,d57,d58,d59,d60,d61,d62,d63)
	dta l(d64,d65,d66,d67,d68,d69,d70,d71)
	dta l(d72,d73,d74,d75,d76,d77,d78,d79)
	dta l(d80,d81,d82,d83,d84,d85,d86,d87)
	dta l(d88,d89,d90,d91,d92,d93,d94,d95)
	dta l(d96,d97,d98,d99,d100,d101,d102,d103)
	dta l(d104,d105,d106,d107,d108,d109,d110,d111)
	dta l(d112,d113,d114,d115,d116,d117,d118,d119)
	dta l(d120,d121,d122,d123,d124,d125,d126,d127)
	dta l(d128,d129,d130,d131,d132,d133,d134,d135)
	dta l(d136,d137,d138,d139,d140,d141,d142,d143)
	dta l(d144,d145,d146,d147,d148,d149,d150,d151)
	dta l(d152,d153,d154,d155,d156,d157,d158,d159)
	dta l(d160,d161,d162,d163,d164,d165,d166,d167)
	dta l(d168,d169,d170,d171,d172,d173,d174,d175)
	dta l(d176,d177,d178,d179,d180,d181,d182,d183)
	dta l(d184,d185,d186,d187,d188,d189,d190,d191)
	dta l(d192,d193,d194,d195,d196,d197,d198,d199)
	dta l(d200,d201,d202,d203,d204,d205,d206,d207)
	dta l(d208,d209,d210,d211,d212,d213,d214,d215)
	dta l(d216,d217,d218,d219,d220,d221,d222,d223)
	dta l(d224,d225,d226,d227,d228,d229,d230,d231)
	dta l(d232,d233,d234,d235,d236,d237,d238,d239)
	dta l(d240,d241,d242,d243,d244,d245,d246,d247)
	dta l(d248,d249,d250,d251,d252,d253,d254,d255)
	dta l(d256,d257,d258,d259,d260,d261,d262,d263)
	dta l(d264,d265,d266,d267,d268,d269,d270,d271)
	dta l(d272,d273,d274,d275,d276,d277,d278,d279)
	dta l(d280,d281,d282,d283,d284,d285,d286,d287)
	dta l(d288,d289,d290,d291,d292,d293,d294,d295)
	dta l(d296,d297,d298,d299,d300,d301,d302,d303)
	dta l(d304,d305,d306,d307,d308,d309,d310,d311)
	dta l(d312,d313,d314,d315,d316,d317,d318,d319)
	dta l(d320,d321,d322,d323,d324,d325,d326,d327)
	dta l(d328,d329,d330,d331,d332,d333,d334,d335)
	dta l(d336,d337,d338,d339,d340,d341,d342,d343)
	dta l(d344,d345,d346,d347,d348,d349,d350,d351)
	dta l(d352,d353,d354,d355,d356,d357,d358,d359)
	dta l(d360,d361,d362,d363,d364,d365,d366,d367)
	dta l(d368,d369,d370,d371,d372,d373,d374,d375)
	dta l(d376,d377,d378,d379,d380,d381,d382,d383)
	dta l(d384,d385,d386,d387,d388,d389,d390,d391)
	dta l(d392,d393,d394,d395,d396,d397,d398,d399)
	dta l(d400,d401,d402,d403,d404,d405,d406,d407)
	dta l(d408,d409,d410,d411,d412,d413,d414,d415)
	dta l(d416,d417,d418,d419,d420,d421,d422,d423)
	dta l(d424,d425,d426,d427,d428,d429,d430,d431)
	dta l(d432,d433,d434,d435,d436,d437,d438,d439)
	dta l(d440,d441,d442,d443,d444,d445,d446,d447)
	dta l(d448,d449,d450,d451,d452,d453,d454,d455)
	dta l(d456,d457,d458,d459,d460,d461,d462,d463)
	dta l(d464,d465,d466,d467,d468,d469,d470,d471)
	dta l(d472,d473,d474,d475,d476,d477,d478,d479)
	dta l(d480,d481,d482,d483,d484,d485,d486,d487)
	dta l(d488,d489,d490,d491,d492,d493,d494,d495)
	dta l(d496,d497,d498,d499,d500,d501,d502,d503)
	dta l(d504,d505,d506,d507,d508,d509,d510,d511)
	dta l(d512,d513,d514,d515,d516,d517,d518,d519)
	dta l(d520,d521,d522,d523,d524,d525,d526,d527)
	dta l(d528,d529,d530,d531,d532,d533,d534,d535)
	dta l(d536,d537,d538,d539,d540,d541,d542,d543)
	dta l(d544,d545,d546,d547,d548,d549,d550,d551)
	dta l(d552,d553,d554,d555,d556,d557,d558,d559)
	dta l(d560,d561,d562,d563,d564,d565,d566,d567)
	dta l(d568,d569,d570,d571,d572,d573,d574,d575)
	dta l(d576,d577,d578,d579,d580,d581,d582,d583)
	dta l(d584,d585,d586,d587,d588,d589,d590,d591)
	dta l(d592,d593,d594,d595,d596,d597,d598,d599)
	dta l(d600,d601,d602,d603,d604,d605,d606,d607)
	dta l(d608,d609,d610,d611,d612,d613,d614,d615)
	dta l(d616,d617,d618,d619,d620,d621,d622,d623)
	dta l(d624,d625,d626,d627,d628,d629,d630,d631)
	dta l(d632,d633,d634,d635,d636,d637,d638,d639)
	dta l(d640,d641,d642,d643,d644,d645,d646,d647)
	dta l(d648,d649,d650,d651,d652,d653,d654,d655)
	dta l(d656,d657,d658,d659,d660,d661,d662,d663)
	dta l(d664,d665,d666,d667,d668,d669,d670,d671)
	dta l(d672,d673,d674,d675,d676,d677,d678,d679)
	dta l(d680,d681,d682,d683,d684,d685,d686,d687)
	dta l(d688,d689,d690,d691,d692,d693,d694,d695)
	dta l(d696,d697,d698,d699,d700,d701,d702,d703)
	dta l(d704,d705,d706,d707,d708,d709,d710,d711)
	dta l(d712,d713,d714,d715,d716,d717,d718,d719)
	dta l(d720,d721)

h_dli	dta h(d0,d1,d2,d3,d4,d5,d6,d7)
	dta h(d8,d9,d10,d11,d12,d13,d14,d15)
	dta h(d16,d17,d18,d19,d20,d21,d22,d23)
	dta h(d24,d25,d26,d27,d28,d29,d30,d31)
	dta h(d32,d33,d34,d35,d36,d37,d38,d39)
	dta h(d40,d41,d42,d43,d44,d45,d46,d47)
	dta h(d48,d49,d50,d51,d52,d53,d54,d55)
	dta h(d56,d57,d58,d59,d60,d61,d62,d63)
	dta h(d64,d65,d66,d67,d68,d69,d70,d71)
	dta h(d72,d73,d74,d75,d76,d77,d78,d79)
	dta h(d80,d81,d82,d83,d84,d85,d86,d87)
	dta h(d88,d89,d90,d91,d92,d93,d94,d95)
	dta h(d96,d97,d98,d99,d100,d101,d102,d103)
	dta h(d104,d105,d106,d107,d108,d109,d110,d111)
	dta h(d112,d113,d114,d115,d116,d117,d118,d119)
	dta h(d120,d121,d122,d123,d124,d125,d126,d127)
	dta h(d128,d129,d130,d131,d132,d133,d134,d135)
	dta h(d136,d137,d138,d139,d140,d141,d142,d143)
	dta h(d144,d145,d146,d147,d148,d149,d150,d151)
	dta h(d152,d153,d154,d155,d156,d157,d158,d159)
	dta h(d160,d161,d162,d163,d164,d165,d166,d167)
	dta h(d168,d169,d170,d171,d172,d173,d174,d175)
	dta h(d176,d177,d178,d179,d180,d181,d182,d183)
	dta h(d184,d185,d186,d187,d188,d189,d190,d191)
	dta h(d192,d193,d194,d195,d196,d197,d198,d199)
	dta h(d200,d201,d202,d203,d204,d205,d206,d207)
	dta h(d208,d209,d210,d211,d212,d213,d214,d215)
	dta h(d216,d217,d218,d219,d220,d221,d222,d223)
	dta h(d224,d225,d226,d227,d228,d229,d230,d231)
	dta h(d232,d233,d234,d235,d236,d237,d238,d239)
	dta h(d240,d241,d242,d243,d244,d245,d246,d247)
	dta h(d248,d249,d250,d251,d252,d253,d254,d255)
	dta h(d256,d257,d258,d259,d260,d261,d262,d263)
	dta h(d264,d265,d266,d267,d268,d269,d270,d271)
	dta h(d272,d273,d274,d275,d276,d277,d278,d279)
	dta h(d280,d281,d282,d283,d284,d285,d286,d287)
	dta h(d288,d289,d290,d291,d292,d293,d294,d295)
	dta h(d296,d297,d298,d299,d300,d301,d302,d303)
	dta h(d304,d305,d306,d307,d308,d309,d310,d311)
	dta h(d312,d313,d314,d315,d316,d317,d318,d319)
	dta h(d320,d321,d322,d323,d324,d325,d326,d327)
	dta h(d328,d329,d330,d331,d332,d333,d334,d335)
	dta h(d336,d337,d338,d339,d340,d341,d342,d343)
	dta h(d344,d345,d346,d347,d348,d349,d350,d351)
	dta h(d352,d353,d354,d355,d356,d357,d358,d359)
	dta h(d360,d361,d362,d363,d364,d365,d366,d367)
	dta h(d368,d369,d370,d371,d372,d373,d374,d375)
	dta h(d376,d377,d378,d379,d380,d381,d382,d383)
	dta h(d384,d385,d386,d387,d388,d389,d390,d391)
	dta h(d392,d393,d394,d395,d396,d397,d398,d399)
	dta h(d400,d401,d402,d403,d404,d405,d406,d407)
	dta h(d408,d409,d410,d411,d412,d413,d414,d415)
	dta h(d416,d417,d418,d419,d420,d421,d422,d423)
	dta h(d424,d425,d426,d427,d428,d429,d430,d431)
	dta h(d432,d433,d434,d435,d436,d437,d438,d439)
	dta h(d440,d441,d442,d443,d444,d445,d446,d447)
	dta h(d448,d449,d450,d451,d452,d453,d454,d455)
	dta h(d456,d457,d458,d459,d460,d461,d462,d463)
	dta h(d464,d465,d466,d467,d468,d469,d470,d471)
	dta h(d472,d473,d474,d475,d476,d477,d478,d479)
	dta h(d480,d481,d482,d483,d484,d485,d486,d487)
	dta h(d488,d489,d490,d491,d492,d493,d494,d495)
	dta h(d496,d497,d498,d499,d500,d501,d502,d503)
	dta h(d504,d505,d506,d507,d508,d509,d510,d511)
	dta h(d512,d513,d514,d515,d516,d517,d518,d519)
	dta h(d520,d521,d522,d523,d524,d525,d526,d527)
	dta h(d528,d529,d530,d531,d532,d533,d534,d535)
	dta h(d536,d537,d538,d539,d540,d541,d542,d543)
	dta h(d544,d545,d546,d547,d548,d549,d550,d551)
	dta h(d552,d553,d554,d555,d556,d557,d558,d559)
	dta h(d560,d561,d562,d563,d564,d565,d566,d567)
	dta h(d568,d569,d570,d571,d572,d573,d574,d575)
	dta h(d576,d577,d578,d579,d580,d581,d582,d583)
	dta h(d584,d585,d586,d587,d588,d589,d590,d591)
	dta h(d592,d593,d594,d595,d596,d597,d598,d599)
	dta h(d600,d601,d602,d603,d604,d605,d606,d607)
	dta h(d608,d609,d610,d611,d612,d613,d614,d615)
	dta h(d616,d617,d618,d619,d620,d621,d622,d623)
	dta h(d624,d625,d626,d627,d628,d629,d630,d631)
	dta h(d632,d633,d634,d635,d636,d637,d638,d639)
	dta h(d640,d641,d642,d643,d644,d645,d646,d647)
	dta h(d648,d649,d650,d651,d652,d653,d654,d655)
	dta h(d656,d657,d658,d659,d660,d661,d662,d663)
	dta h(d664,d665,d666,d667,d668,d669,d670,d671)
	dta h(d672,d673,d674,d675,d676,d677,d678,d679)
	dta h(d680,d681,d682,d683,d684,d685,d686,d687)
	dta h(d688,d689,d690,d691,d692,d693,d694,d695)
	dta h(d696,d697,d698,d699,d700,d701,d702,d703)
	dta h(d704,d705,d706,d707,d708,d709,d710,d711)
	dta h(d712,d713,d714,d715,d716,d717,d718,d719)
	dta h(d720,d721)

v0
 lda #$00
 sta colbak
 lda #$04
 sta gtictl
 lda #$0C
 sta color3
 lda #$14
 sta color0
 lda #$78
 sta color2
 lda #$F6
 sta color1
 rts

v1
v2
v3
v4
v5
v6
v7
v8
v9
v10
v11
v12
v13
v14
v15
v16
v17
v18
v19
v20
v21
v22
v23
v24
v25
v26
v27
v28
v29
v30
v31
v32
v33
v34
v35
v36
v37
v38
v39
v40
v41
v42
v43
v44
v45
v46
v47
v48
v49
v50
v51
v52
v53
v54
v55
v56
v57
v58
v59
v60
v61
v62
v63
v64
v65
v66
v67
v68
v69
v70
v71
v72
v73
v74
v75
v76
v77
v78
v79
v80
v81
v82
v83
v84
v85
v86
v87
v88
v89
v90
v91
v92
v93
v94
v95
v96
v97
v98
v99
v100
v101
v102
v103
v104
v105
v106
v107
v108
v109
v110
v111
v112
v113
v114
v115
v116
v117
v118
v119
v120
v121
v122
v123
v124
v125
v126
v127
v128
v129
v130
v131
v132
v133
v134
v135
v136
v137
v138
v139
v140
v141
v142
v143
v144
v145
v146
v147
v148
v149
v150
v151
v152
v153
v154
v155
v156
v157
v158
v159
v160
v161
v162
v163
v164
v165
v166
v167
v168
v169
v170
v171
v172
v173
v174
v175
v176
v177
v178
v179
v180
v181
v182
v183
v184
v185
v186
v187
v188
v189
v190
v191
v192
v193
v194
v195
v196
v197
v198
v199
v200
v201
v202
v203
v204
v205
v206
v207
v208
v209
v210
v211
v212
v213
v214
v215
v216
v217
v218
v219
v220
v221
v222
v223
v224
v225
v226
v227
v228
v229
v230
v231
v232
v233
v234
v235
v236
v237
v238
v239
v240
v241
v242
v243
v244
v245
v246
v247
v248
v249
v250
v251
v252
v253
v254
v255
v256
v257
v258
v259
v260
v261
v262
v263
v264
v265
v266
v267
v268
v269
v270
v271
v272
v273
v274
v275
v276
v277
v278
v279
v280
v281
v282
v283
v284
v285
v286
v287
v288
v289
v290
v291
v292
v293
v294
v295
v296
v297
v298
v299
v300
v301
v302
v303
v304
v305
v306
v307
v308
v309
v310
v311
v312
v313
v314
v315
v316
v317
v318
v319
v320
v321
v322
v323
v324
v325
v326
v327
v328
v329
v330
v331
v332
v333
v334
v335
v336
v337
v338
v339
v340
v341
v342
v343
v344
v345
v346
v347
v348
v349
v350
v351
v352
v353
v354
v355
v356
v357
v358
v359
v360
v361
v362
v363
v364
v365
v366
v367
v368
v369
v370
v371
v372
v373
v374
v375
v376
v377
v378
v379
v380
v381
v382
v383
v384
v385
v386
v387
v388
v389
v390
v391
v392
v393
v394
v395
v396
v397
v398
v399
v400
v401
v402
v403
v404
v405
v406
v407
v408
v409
v410
v411
v412
v413
v414
v415
v416
v417
v418
v419
v420
v421
v422
v423
v424
v425
v426
v427
v428
v429
v430
v431
v432
v433
v434
v435
v436
v437
v438
v439
v440
v441
v442
v443
v444
v445
v446
v447
v448
v449
v450
v451
v452
v453
v454
v455
v456
v457
v458
v459
v460
v461
v462
v463
v464
v465
v466
v467
v468
v469
v470
v471
v472
v473
v474
v475
v476
v477
v478
v479
v480
v481
v482
v483
v484
v485
v486
v487
v488
v489
v490
v491
v492
v493
v494
v495
v496
v497
v498
v499
v500
v501
v502
v503
v504
v505
v506
v507
v508
v509
v510
v511
v512
v513
v514
v515
v516
v517
v518
v519
v520
v521
v522
v523
v524
v525
v526
v527
v528
v529
v530
v531
v532
v533
v534
v535
v536
v537
v538
v539
v540
v541
v542
v543
v544
v545
v546
v547
v548
v549
v550
v551
v552
v553
v554
v555
v556
v557
v558
v559
v560
v561
v562
v563
v564
v565
v566
v567
v568
v569
v570
v571
v572
v573
v574
v575
v576
v577
v578
v579
v580
v581
v582
v583
v584
v585
v586
v587
v588
v589
v590
v591
v592
v593
v594
v595
v596
v597
v598
v599
v600
v601
v602
v603
v604
v605
v606
v607
v608
v609
v610
v611
v612
v613
v614
v615
v616
v617
v618
v619
v620
v621
v622
v623
v624
v625
v626
v627
v628
v629
v630
v631
v632
v633
v634
v635
v636
v637
v638
v639
v640
v641
v642
v643
v644
v645
v646
v647
v648
v649
v650
v651
v652
v653
v654
v655
v656
v657
v658
v659
v660
v661
v662
v663
v664
v665
v666
v667
v668
v669
v670
v671
v672
v673
v674
v675
v676
v677
v678
v679
v680
v681
v682
v683
v684
v685
v686
v687
v688
v689
v690
v691
v692
v693
v694
v695
v696
v697
v698
v699
v700
v701
v702
v703
v704
v705
v706
v707
v708
v709
v710
v711
v712
v713
v714
v715
v716
v717
v718
v719

l_vbl	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)
	dta l(v0,v0,v0,v0,v0,v0,v0,v0)

h_vbl	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)
	dta h(v0,v0,v0,v0,v0,v0,v0,v0)



	ift rows

l_scr	dta l(screen+0,screen+40,screen+80,screen+120,screen+160,screen+200,screen+240,screen+280)
	dta l(screen+320,screen+360,screen+400,screen+440,screen+480,screen+520,screen+560,screen+600)
	dta l(screen+640,screen+680,screen+720,screen+760,screen+800,screen+840,screen+880,screen+920)
	dta l(screen+960,screen+1000,screen+1040,screen+1080,screen+1120,screen+1160,screen+1200,screen+1240)
	dta l(screen+1280,screen+1320,screen+1360,screen+1400,screen+1440,screen+1480,screen+1520,screen+1560)
	dta l(screen+1600,screen+1640,screen+1680,screen+1720,screen+1760,screen+1800,screen+1840,screen+1880)
	dta l(screen+1920,screen+1960,screen+2000,screen+2040,screen+2080,screen+2120,screen+2160,screen+2200)
	dta l(screen+2240,screen+2280,screen+2320,screen+2360,screen+2400,screen+2440,screen+2480,screen+2520)
	dta l(screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560)
	dta l(screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560)
	dta l(screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560)
	dta l(screen+2560,screen+2560)

h_scr	dta h(screen+0,screen+40,screen+80,screen+120,screen+160,screen+200,screen+240,screen+280)
	dta h(screen+320,screen+360,screen+400,screen+440,screen+480,screen+520,screen+560,screen+600)
	dta h(screen+640,screen+680,screen+720,screen+760,screen+800,screen+840,screen+880,screen+920)
	dta h(screen+960,screen+1000,screen+1040,screen+1080,screen+1120,screen+1160,screen+1200,screen+1240)
	dta h(screen+1280,screen+1320,screen+1360,screen+1400,screen+1440,screen+1480,screen+1520,screen+1560)
	dta h(screen+1600,screen+1640,screen+1680,screen+1720,screen+1760,screen+1800,screen+1840,screen+1880)
	dta h(screen+1920,screen+1960,screen+2000,screen+2040,screen+2080,screen+2120,screen+2160,screen+2200)
	dta h(screen+2240,screen+2280,screen+2320,screen+2360,screen+2400,screen+2440,screen+2480,screen+2520)
	dta h(screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560)
	dta h(screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560)
	dta h(screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560,screen+2560)
	dta h(screen+2560,screen+2560)

	eif

	icl "hvscrol.asm"

	.ALIGN $100
mis	ins "pinball.mis"

	.ALIGN $100
pm0	ins "pinball.pm0"

	.ALIGN $100
pm1	ins "pinball.pm1"

	.ALIGN $100
pm2	ins "pinball.pm2"

	.ALIGN $100
pm3	ins "pinball.pm3"

	run	main

*---

	opt l-


;719
